Skip to content
extensions / Commerce extension
GET/__runtime/rma/order-items

List Order Items

Looks up an order's return-eligible items by order number for the authenticated customer or a supplied guest email.

GET

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • No authentication is required; the customer is identified from the storefront session, or a guest order is matched using the supplied email.

Headers

NameRequiredTypeDetails
CookieYesNot specified
Description: Value used by this operation.
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

Query Parameters

NameRequiredTypeDetails
project_idYesinteger
Description: Target project identifier.
order_numberYesstring
Description: Text value.
emailNostring
Description: Text value.

Request Body

Response Body

Example 200 response

json
{
  "success": [],
  "requires_email": "user@example.com",
  "message": "string",
  "policy": "string",
  "order_number": "string",
  "order_qualifies": [],
  "eligibility": "string",
  "items": [],
  "total_items": []
}

Errors

400 BAD_REQUEST500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified